wood burning stoves 2.0*
The moose likes Object Relational Mapping and the fly likes jdk5 and ejb3 options unavailable in HibernateTools-3.2.4.GA Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of OCA/OCP Java SE 7 Programmer I & II Study Guide this week in the OCPJP forum!
JavaRanch » Java Forums » Databases » Object Relational Mapping
Bookmark "jdk5 and ejb3 options unavailable in HibernateTools-3.2.4.GA" Watch "jdk5 and ejb3 options unavailable in HibernateTools-3.2.4.GA" New topic
Author

jdk5 and ejb3 options unavailable in HibernateTools-3.2.4.GA

Abhijit Sarkar
Greenhorn

Joined: Apr 16, 2006
Posts: 20
Hi,
I am using Hibernate ant tools to reverse engineer classes. However, the jdk5 and ejb3 options are not available to me with the exporters. Please advise.

hibernate-distribution-3.3.2.GA
hibernate-annotations-3.4.0.GA
hibernate-entitymanager-3.4.0.GA
HibernateTools-3.2.4.GA
hsqldb-1.8.0.10
Eclipse 3.4.2 Ganymede
Classpath: build;lib\antlr-2.7.6.jar;lib\asm.jar;lib\c3p0-0.9.1.jar;lib\cglib-2.1.3.jar;lib\commons-collections-3.1.jar;lib\commons-logging.jar;lib\dom4j-1.6.1.jar;lib\ejb3-persistence.jar;lib\freemarker.jar;lib\hibernate-annotations.jar;lib\hibernate-commons-annotations.jar;lib\hibernate-entitymanager.jar;lib\hibernate-tools.jar;lib\hibernate3.jar;lib\hsqldb.jar;lib\javassist-3.9.0.GA.jar;lib\jta-1.1.jar;lib\jtidy-r8-20060801.jar;lib\log4j.jar;lib\servlet-api.jar;lib\slf4j-api-1.5.8.jar;lib\slf4j-jdk14-1.5.8.jar; (and a lot Eclipse jars)

Build script snippet:

Abhijit Sarkar
Greenhorn

Joined: Apr 16, 2006
Posts: 20
OK, I have found the solution. The following ant task works for me:
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: jdk5 and ejb3 options unavailable in HibernateTools-3.2.4.GA